Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.jbi.msgmap
Interface Mapper

All Known Implementing Classes:
  DocLitMapper, JbiWsdl11WrapperMapper, ServiceMixMapper

    public interface Mapper

Interface implemented by message format converters. TODO: Perhaps we should move this into the engine and make it pluggable?

Nested Class Summary
`static class` | `Mapper.Recognized`

Method Summary
`Mapper.Recognized` | `isRecognized(javax.jbi.messaging.NormalizedMessage nmsMsg, javax.wsdl.Operation op)` Determine if this mapper recognizes the format of the NMS message.
`javax.wsdl.Fault` | `toFaultType(javax.jbi.messaging.Fault jbiFlt, java.util.Collection<javax.wsdl.Fault> faults)` Infer the fault type based on the message.
`void` | `toNMS(javax.jbi.messaging.NormalizedMessage nmsMsg, Message odeMsg, javax.wsdl.Message msgdef, javax.xml.namespace.QName fault)` Convert a ODE message to NMS format.
`void` | `toODE(Message odeMsg, javax.jbi.messaging.NormalizedMessage nmsMsg, javax.wsdl.Message msgdef)` Convert an NMS message to ODE format.

Method Detail

### isRecognized

    Mapper.Recognized isRecognized(javax.jbi.messaging.NormalizedMessage nmsMsg,
                                   javax.wsdl.Operation op)

  Determine if this mapper recognizes the format of the NMS message.

  Parameters:
    `nmsMsg` -
  Returns:

### toNMS

    void toNMS(javax.jbi.messaging.NormalizedMessage nmsMsg,
               Message odeMsg,
               javax.wsdl.Message msgdef,
               javax.xml.namespace.QName fault)
               throws javax.jbi.messaging.MessagingException,
                      MessageTranslationException

  Convert a ODE message to NMS format. This call must only be called if `isRecognized(NormalizedMessage, Operation)` returned, `true`.

  Parameters:
    `nmsMsg` -
    `odeMsg` -
    `msgdef` -
  Throws:
    `javax.jbi.messaging.MessagingException`
    `MessageTranslationException`

### toODE

    void toODE(Message odeMsg,
               javax.jbi.messaging.NormalizedMessage nmsMsg,
               javax.wsdl.Message msgdef)
               throws MessageTranslationException

  Convert an NMS message to ODE format. This call must only be called if `isRecognized(NormalizedMessage, Operation)` returned, `true`.

  Parameters:
    `odeMsg` -
    `nmsMsg` -
    `msgdef` -
  Throws:
    `MessageTranslationException`

### toFaultType

    javax.wsdl.Fault toFaultType(javax.jbi.messaging.Fault jbiFlt,
                                 java.util.Collection<javax.wsdl.Fault> faults)
                                 throws MessageTranslationException

  Infer the fault type based on the message.

  Parameters:
    `jbiFlt` - JBI fault message
    `faults` - collection of possible faults
  Returns:
    matching fault, or null if no match
  Throws:
    `MessageTranslationException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD